# El manual de &konsolekalendar;

Tuukka
Pasanen

    illuusio@mailcity.com

Allen
Winter

    awinterz@users.sourceforge.net

Malcolm
Hunter

    malcolm.hunter@gmx.co.uk

Revisor
Juan Manuel
García Molina

    juanma@superiodico.net

Traductor
2002
2003
Tuukka Pasanen
2003
Allen Winter
&FDLNotice;
2003-11-28
1.0.0

&konsolekalendar; es un interfaz en línea de comando para los calendarios de &kde;.

KDE
&package;
&kappname;
KOrganizer

## Introducción

&konsolekalendar; es un interfaz en línea de comandos para los calendarios de &kde;. Permite ver, insertar, eliminar o modificar eventos de calendario por medio de líneas de comando o desde un lenguaje de script. Además, &konsolekalendar; puede exportar un calendario de &kde; a una amplia variedad de formatos, así como importar otros calendarios de &kde;.

En su modo básico, &konsolekalendar; muestra la lista de eventos de su calendario predeterminado para el día actual (desde las 7:00 a las 17:00).

Características principales de &konsolekalendar;:

- Muestra entradas de calendario desde una fecha/hora de comienzo a una fecha/hora de fin

- Inserta (añade) entradas de calendario

- Elimina (borra) entradas de calendario

- Modifica (cambia) entradas de calendario

- Crea un calendario nuevo

- Exporta entradas de calendario a otros formatos de archivo

- Importa un calendario existente en &kde;

&konsolekalendar; no es otro interfaz gráfico de usuario para el calendario de &kde; (p.ej., &korganizer;). &konsolekalendar; se proporciona para los casos en los que usar un interfaz gráfico no es práctico o no es posible.

&konsolekalendar; no proporciona un lenguaje plagado de características para realizar consultas sobre el calendario del usuario; tampoco es la intención de los autores dotar al programa de dicha capacidad. Las opciones principales de la línea del comando se proporcionan para acceder a los eventos del calendario con un rango consecutivo de sellos de fecha/hora.

## Características

En este capítulo, aprenderá cosas acerca de las características de &konsolekalendar; y cómo usar los parámetros de la línea de comandos (recuerde que &konsolekalendar; no es un interfaz gráfico de usuario, sino un programa sólo de línea de comando).

También aprenderá cosas sobre la inserción, eliminación y modificación de eventos del calendario y sobre la exportación de eventos a otros formatos de archivo. En este capítulo también se tratará la creación e importación de calendarios en &kde;.

### Ver eventos

En su modo predeterminado o usando el parámetro `--view`, &konsolekalendar; mostrará todos los eventos en el rango de fechas/horas indicadas.

Para ver todos los eventos del día de la fecha (de 7:00 a 17:00), ejecute:

    % konsolekalendar

En este ejemplo veremos todos los eventos de la semana del 18 al 22 de agosto:

    % konsolekalendar --view --date 2003-08-18 --end-date 2003-08-22

### Insertar eventos

&konsolekalendar; puede insertar eventos en un calendario de &kde; usando el argumento `--add` en la línea del comando.

En el siguiente ejemplo, se insertará un evento que comienza el 2003-06-04 (4 de junio de 2003) a las 1000 (10:00) y que acaba a las 1200 (12:00) con el resumen «Visita al doctor» en el calendario predeterminado del usuario:

    % konsolekalendar --add --date 2003-06-04 --time 10:00\
    --end-time 12:00 --summary "Visita al doctor"

En este ejemplo se añade un evento de cumpleaños al calendario predeterminado del usuario:

    % konsolekalendar --add --date 2003-06-06 --summary "Mi cumpleaños" \
    --description "Hora de la fiesta"

La versión actual de &konsolekalendar; no admite la inserción de eventos de tipo libre (los eventos de tipo libre son los que no ocupan tiempo durante el día; &ie;, la hora no está marcada como ocupada). Los cumpleaños, las vacaciones, los aniversarios, &etc; se deberían insertar como de tipo libre. Esperamos que en la siguiente versión de &konsolekalendar; tenga una característica para manipular los eventos de tipo libre.

Aquí se inserta una semana de vacaciones en un calendario compartido:

    % konsolekalendar --add --file vacation.ics --date 2003-08-01 \
    --end-date 2003-08-07 --summary "Vacaciones" --description "Nadie podrá dar conmigo"

### Eliminar entradas

&konsolekalendar; admite la eliminación de entradas en un archivo de calendario o en un recurso mediante el uso del argumento `--delete` de la línea de comandos. Las entradas del calendario que se van a eliminar son exactamente las que se especifiquen en su cadena de identificación única (UID), usando la opción `--uid`. Los UIDs se encuentrar al visualizar el evento, usando la opción `--view`.

Cuando elimine algo del calendario, no podrá deshacerlo. En otras palabras, cuando elimine una entrada no podrá dar marcha atrás al borrado. Simplemente se va.

Aquí borramos una entrada del calendario con UID &konsolekalendar;-1887551750.196:

    % konsolekalendar --delete --uid &konsolekalendar;-1887551750.196

### Modificar entradas

&konsolekalendar; admite la modificación de las entradas existentes en un archivo de calendario o de un recurso usando el argumento `--change` de la línea de comandos. Las entradas del calendario que se van a modificar se especifican exactamente por su cadena de identificación única (UID), usando la opción `--uid`. Los UIDs se encuentran al visualizar el evento usando la opción `--view`.

Los cambios se realizan de la misma forma que las inserciones: puede cambiar la fecha y hora de comienzo y de fin, la descripción y el resumen del evento.

Ejemplo: Aquí cambiaremos el resumen y la descripción de una entrada del calendario con UID &konsolekalendar;-1887551750.196:

%``konsolekalendar` `--change` `--uid &konsolekalendar;-1887551750.196` `--summary "Examinarme la cabeza"` `--description "no volver a ir a ese doctor"``

### Crear un archivo de calendario nuevo

&konsolekalendar; se puede usar para crear un archivo de calenario nuevo para &kde;. Debido a que puede insertar una entrada en un calendario que no exista, debe crear primero el archivo usando los argumentos `--create` y `--file` de la línea de comando.

Cree un archivo de calendario llamado `/data/share/calendars/vacation.ics`:

    % konsolekalendar --create --file /data/share/calendars/vacation.ics

### Exportar a otros formatos

&konsolekalendar; puede exportar un calendario de &kde; a otros formatos bien conocidos. La exportación es una forma especial de vista. De forma predeterminada, los eventos se visualizan con el formato texto de &konsolekalendar;. Para cambiar el formato de visualización, use el argumento `--export-type` de la línea del comando.

Para ver una lista de todos los formatos de exportación admitidos, use la opción `--export-list`, como en:

    % konsolekalendar --export-list

### Formatos de exportación

En esta sección se describen algunos, aunque no todos, de los formatos admitidos.

#### Formato de texto de &konsolekalendar;

El formato de texto de &konsolekalendar; es un formato nativo y está diseñado para que sea legible y lo puedan analizar otros scripts.

El formato de texto de &konsolekalendar; es:

    La información de fecha y hora:
    1. fila Date:        AAAA-MM-DD
    2. fila                 HH:MM
    Resumen:
    3. fila Summary:
    4. fila                 Summary text.
    Descripción:
    5. fila Description:
    6. fila                Description text
    UID:
    7. fila UID:
    8. fila                 UID.

    Date:   2003-11-01
            8:00 - 9:00
    Summary:
            Reunión del personal
    Description:
            Reunión en la sala de reuniones grande con todo el personal.
    UID:
            &konsolekalendar;-1128954167.1013

#### Formato de valores separados por comas (CSV)

El formato de valores separados por comas muestra los valores del evento en el mismo orden que en el formato de texto de &konsolekalendar;. La única diferencia es que toda la información está en la misma fila con cada campo separado del siguiente por una coma. Los archivos que resultan de esta importación se pueden importar directamente en programas de hoja de cálculo como &kspread;, OpenOffice.org Calc y &Microsoft; Excel. El formato CSV también se puede analizar fácilmente con otros scripts.

El formato de valores separados por comas (CSV) es:

    AAAA-MM-DD,HH:MM,AAAA-MM-DD,HH:MM,Resumen,Descripción,UID

    2003-11-01,08:00,2003-11-01,09:00,Reunión del personal,Reunión en la sala\
    de reuniones grande con todo el personal.,&konsolekalendar;-1128954167.1013

#### Formato HTML

El formato de exportación HTML producirá un archivo HTML válido para que se pueda publicar en la WWW. Este formato de exportación no es adecuado para analizarlos mediante scripts, pero es muy recomendable para publicar calendarios y hacerlos visibles de forma sencilla.

POR HACER: Insertar aquí una captura de pantalla

### Importar calendarios

&konsolekalendar; puede importar un archivo de calendario ICS en un calendario de &kde;. Todos los eventos del calendario que se vayan a importar se insertarán, incluyendo los eventos idénticos. En la próxima versión de &konsolekalendar; no se insertarán los eventos idénticos.

Para importar el archivos de calendario `otro.ics` en el calendario `actual.ics`, ejecute:

    % konsolekalendar --import otro.ics --file actual.ics

## Argumentos de la línea del comando

&konsolekalendar; admite las siguientes opciones:

Opción | Descripción
--- | ---
`--help, --help-all` | Muestra ayuda acerca de las opciones del programa.
`--author` | Muestra información sobre el autor del programa.
`-v, --version` | Muestra información sobre la versión del programa.
`--license` | Muestra información sobre la licencia del programa.
`--verbose` | Muestra mensajes útiles en tiempo de ejecución.
`--dryrun` | Muestra qué se haría, aunque no lo ejecuta. No cambia ningún archivo; ni inserta ni elimina ni modifica ningún archivo existente ni crea ningún archivo nuevo.
`--file` archivo-calendario | Especifica qué archivo de calendario quiere usar. Si no se indica, se usa su recurso de &korganizer; predefinido.
Principales modos de operación:
`--view` | Muestra los eventos del calendario en el formato de exportación indicado.
`--add` | Inserta un evento en el calendario.
`--change` | Modifica un evento en un calendario existente.
`--delete` | Elimina un evento de un calendario existente.
`--create` | Crea un nuevo archivo de calendario, si es que no existe uno ya.
`--import` archivo-importación | Importa este calendario en el calendario principal.
Modificadores de la operación:
`--all` | Muestra todas las entradas del calendario.
`--uid` UID | Visualiza, elimina o cambia el evento con esta cadena de identificación única.
`--date` fecha | Comienzo en este día [AAAA-MM-DD]. La fecha predeterminada es hoy.
`--time` | Comienzo a esta hora [HH:MM]. La hora predefinida son las 07:00.
`--end-date` fecha-fin | Fin en este día [AAAA-MM-DD]. El predefinido se establece con --date.
`--end-time` hora-fin | Fin a esta hora [HH:MM]. La hora predeterminada son las 17:00.
`--epoch-start` hora-epoch | Comienzo a esta hora [segundos desde epoch].
`--epoch-end` hora-epoch | Fin a esta hora [segundos desde epoch].
`--summary` resumen | Añade un resumen al evento (funciona con add {añadir} y change {cambiar}).
`--description` descripción | Añade una descripción al evento (funciona con add {añadir} y change {cambiar}).
Opciones de exportación:
`--export-type` tipo-exportación | Tipo de archivo para exportar. El tipo de exportación predeterminado es «Text» (texto).
`--export-file` archivo-exportación | Exporta a un archivo. De forma predeterminada, la salida se escribe en la salida estándar.
`--export-list` | Muestra la lista con los tipos de exportación admitidos y sale.

## Preguntas y respuestas

&reporting.bugs; &updating.documentation;

¿Qué archivos de configuración usa &konsolekalendar;?

Ninguno.

¿Cuál es el nombre de la aplicación &konsolekalendar;?

El nombre de la aplicación &konsolekalendar; es konsolekalendar.

¿Cuál es el formato de especificación de fecha?

&konsolekalendar; rechazará las fechas especificadas en la línea del comando salvo que se especifiquen según los estándares ISO 8601, formalmente: AAAA-MM-DD. Donde AAAA representa un año con 4 dígitos (como 2004), MM representa un mes con dos dígitos (01, 02, ..., 12), y DD representa un día con dos dígitos (01, 02, ..., 31).

&konsolekalendar; siempre exporta las fechas según el formato ISO 8601.

¿Cuál es el formato de especificación de hora?

&konsolekalendar; rechazará las horas especificadas en la línea del comando salvo que se indiquen según los estándares ISO 8601, formalmente: HH:MM:SS. Donde HH representa una hora con dos dígitos (01, 02, ..., 24), MM representa un minuto con dos dígitos (01, 02, ..., 60) y SS representa un segundo con dos dígitos (01, 02, ..., 60).

&konsolekalendar; siempre exporta las horas según el formato ISO 8601.

¿Insertará &konsolekalendar; un evento nuevo que sea idéntico a uno que exista ya en el calendario?

No. Vea la siguiente pregunta.

¿Cómo determina &konsolekalendar; si un evento es idéntico a otro que ya exista en el calendario?

&konsolekalendar; comprueba la fecha y hora de comienzo y fin y el resumen con los de todos los eventos del calendario. Si algún evento coincide con los tres valores, se marca como un evento existente.

¿Cómo puedo añadir mi pregunta a estas PUF?

Envíe sus preguntas a illuusio@lycos.com.

## Créditor y licencia

&konsolekalendar; Copyright del programa 2002,2003:

- Tuukka Pasanen illuusio@mailcity.com

- Allen Winter awinterz@users.sourceforge.net

Copyright de la documentación 2003:

- Allen Winter awinterz@users.sourceforge.net

- Tuukka Pasanenilluusio@mailcity.com

Traducido por Juan Manuel García Molina juanma@superiodico.net

&underFDL; &underGPL;

## Instalación

### Cómo obtener &konsolekalendar;

&install.intro.documentation;

&konsolekalendar; viene con &kde;3 y no está disponible por separado.

### Requisitos

&konsolekalendar; necesita que estén instaladas las bibliotecas estándar de &kde; (el paquete `kdelibs`). Para compilarlo desde los fuentes, también necesitará los paquetes de desarrollo de `kdelibs`.

Puede encontrar una lista de cambios en el archivo `Changelog`.

### Compilación e instalación

Esta sección proporciona una revisión rápida del proceso de compilación. Lea Compilar &kde; 3.2.x para tener acceso a las instrucciones completas.

Si no puede obtener un paquete binario precompilado que se amolde a sus necesidades, tendrá que compilar &konsolekalendar; usted mismo desde los archivos fuente. Obtenga el archivo con el paquete fuente `kdepim-x.x.tar.bz2`. Desempaquételo en un directorio nuevo usando un comando como ``tar` `xvfj paquete.tar.bz2``, y vaya a la carpeta que se ha creado.

&install.compile.documentation;

Si tiene más de una versión de &kde; instalada (p.ej. &kde;2 y &kde;3), es posible que pueda instalar &konsolekalendar; en la carpeta equivocada de &kde;. Si fuera necesario, puede proporcionar la carpeta de &kde; por parámetro para ``./configure``. Por ejemplo, si su &kde; está instalado en `/opt/kde3`:

``./configure` --prefix=/opt/kde3`

### Configuración

No necesita ninguna configuración especial para configurar &konsolekalendar; para que corra en el escritorio de &kde;.

&documentation.index;